// priority: 0
StartupEvents.registry('item', event => {
	
	// ProjectE dummy items
	event.create('prismatter').glow(true).rarity('rare')
	event.create('prisma_dust').glow(true).rarity('rare')
	event.create('transcendent').glow(true).rarity('epic').displayName('Cosmatter')
	event.create('emc_amalgam').displayName('Alchemical Amalgam')
	
	// Ext Crafting dummies
	event.create('pint_luminessence').rarity('uncommon').displayName('Pint of Luminessence')
	
	// Extended Crafter cores
	event.create('advanced_core').rarity('uncommon').displayName('Advanced Crafting Core')
	event.create('prismatic_core').rarity('rare').displayName('Prismatic Crafting Core')
	
	// Transcendent components
	event.create('quantum_processor').displayName('§aQuantum Processor')
	event.create('neural_calculation_manager').displayName('§2Neural Calculation Manager')
	event.create('polydense_plating').displayName('§6Polydense Plating')
	event.create('contained_supernova').displayName('§3Contained Supernova')
	event.create('torment_nexus').displayName('§4Torment Nexus')
	
	// Transcendent Micro-comps
	event.create('boundless_multithreading_circuit').displayName('Boundless Multithreading Circuit')
	event.create('antiparticle_cell').displayName('Antiparticle Cell')
	event.create('draconic_power_regulator').displayName('Draconic Power Regulator')
	
	event.create('nutrition_casing').displayName('Nutrient Plating')
	event.create('animated_brain').displayName('Animated Brain')
	event.create('neuron_interface_pins').displayName('Neuron Interface Pins')
	
	event.create('low_density_alloy').displayName('Low Density Alloy')
	event.create('nanoparticle_swarm').displayName('Nanoparticle Swarm')
	
	event.create('absolute_reactant').displayName('Absolute Reactant')
	event.create('pocket_dimension').displayName('Pocket Dimension')
	event.create('primed_starcore').displayName('Primed Starcore')
	
	event.create('crimson_favor').displayName('Sanguine Rites')
	event.create('pandoras_box').displayName('Pandora\'s Box')
	event.create('looking_glass').displayName('Looking Glass')
	
	// Trans micro-comps
	event.create('shattered_dice').displayName('Shattered Dice')
	
	// Quantised Items
	event.create('emc_andesite_alloy').displayName('Quantised Andesite Alloy')
	event.create('emc_coal_coke').displayName('Quantised Coal Coke')
	event.create('emc_ember_crystal').displayName('Quantised Ember Crystal')
	event.create('emc_grains_of_infinity').displayName('Quantised Grains of Infinity')
	event.create('emc_silicon').displayName('Quantised Silicon')
	event.create('emc_alchemical_calx').displayName('Quantised Alchemical Calx')
	event.create('emc_basic_control_circuit').displayName('Quantised Basic Control Circuit')
	event.create('emc_blank_slate').displayName('Quantised Blank Slate')
	event.create('emc_brass_ingot').displayName('Quantised Brass Ingot')
	event.create('emc_calculation_processor').displayName('Quantised Calculation Processor')
	event.create('emc_compressed_iron_ingot').displayName('Quantised Compressed Iron Ingot')
	event.create('emc_constantan_ingot').displayName('Quantised Constantan Ingot')
	event.create('emc_copper_wire').displayName('Quantised Copper Wire')
	event.create('emc_cyanite_ingot').displayName('Quantised Cyanite Ingot')
	event.create('emc_dark_matter').displayName('Quantised Dark Matter')
	event.create('emc_dark_steel_ingot').displayName('Quantised Dark Steel Ingot')
	event.create('emc_dawnstone_ingot').displayName('Quantised Dawnstone Ingot')
	event.create('emc_electrum_ingot').displayName('Quantised Electrum Ingot')
	event.create('emc_energetic_alloy_ingot').displayName('Quantised Energetic Alloy Ingot')
	event.create('emc_engineering_processor').displayName('Quantised Engineering Processor')
	event.create('emc_fluix_crystal').displayName('Quantised Fluix Crystal')
	event.create('emc_hex_ash').displayName('Quantised Hex Ash')
	event.create('emc_infused_alloy').displayName('Quantised Infused Alloy')
	event.create('emc_invar_ingot').displayName('Quantised Invar Ingot')
	event.create('emc_logic_processor').displayName('Quantised Logic Processor')
	event.create('emc_lumium_ingot').displayName('Quantised Lumium Ingot')
	event.create('emc_mana_diamond').displayName('Quantised Mana Diamond')
	event.create('emc_mana_gem').displayName('Quantised Source Gem')
	event.create('emc_mana_pearl').displayName('Quantised Mana Pearl')
	event.create('emc_mana_powder').displayName('Quantised Mana Powder')
	event.create('emc_manasteel').displayName('Quantised Manasteel Ingot')
	event.create('emc_material_component_iron').displayName('Quantised Iron Mechanical Component')
	event.create('emc_material_component_steel').displayName('Quantised Steel Mechanical Component')
	event.create('emc_polished_rose_quartz').displayName('Quantised Polished Rose Quartz')
	event.create('emc_red_matter').displayName('Quantised Red Matter')
	event.create('emc_signalum_ingot').displayName('Quantised Signalum Ingot')
	event.create('emc_steel_ingot').displayName('Quantised Steel Ingot')
	event.create('emc_wilden_horn').displayName('Quantised Wilden Horn')
	event.create('emc_wilden_spike').displayName('Quantised Wilden Spike')
	event.create('emc_wilden_wing').displayName('Quantised Wilden Wing')
	
	// Malum Spirit Automation
	event.create('spirit_cluster').displayName('Spirit Cluster').rarity('rare')
	event.create('spirit_chunk_a').displayName('Warm Spirit Chunk').rarity('rare')
	event.create('spirit_chunk_b').displayName('Cold Spirit Chunk').rarity('rare')
	
	// Radiant Gem
	event.create('radiant_gem').rarity('uncommon').displayName('Radiant Gem')
	
	// Cryo Cube
	event.create('cryo_cube').rarity('uncommon').displayName('Cryo Cube')
	
	// Nuclear Sludge
	event.create('nuclear_sludge').displayName('Nuclear Sludge')
	
	// Cosmatter Quantisation
	event.create('emc_prismatter').glow(true).rarity('rare').displayName('Quantised Prismatter')
	
	// Slice of Cake
	event.create('slice_of_cake').glow(true).rarity('epic').displayName('Slice of Home')
	
	// Crystal Processing Items
	event.create('darkseed').rarity('uncommon').displayName('Dark Crystal Seed')
	event.create('darkt2').rarity('uncommon').displayName('Small Dark Crystal')
	event.create('darkt3').rarity('uncommon').displayName('Medium Dark Crystal')
	event.create('darkcrystal').rarity('uncommon').displayName('Dark Crystal')
	
	event.create('redseed').rarity('uncommon').displayName('Red Crystal Seed')
	event.create('redt2').rarity('uncommon').displayName('Small Red Crystal')
	event.create('redt3').rarity('uncommon').displayName('Medium Red Crystal')
	event.create('redcrystal').rarity('uncommon').displayName('Red Crystal')
	
	event.create('prismseed').glow(true).rarity('rare').displayName('Prisma Crystal Seed')
	event.create('prismt2').glow(true).rarity('rare').displayName('Small Prisma Crystal')
	event.create('prismt3').glow(true).rarity('rare').displayName('Medium Prisma Crystal')
	event.create('prismcrystal').glow(true).rarity('rare').displayName('Prisma Crystal')
	
	event.create('darkdust').rarity('uncommon').displayName('Dark Crystal Dust')
	event.create('darksplinter').rarity('uncommon').displayName('Dark Crystal Splinter')
	event.create('reddust').rarity('uncommon').displayName('Red Crystal Dust')
	event.create('redsplinter').rarity('uncommon').displayName('Red Crystal Splinter')
	event.create('prismsplinter').glow(true).rarity('rare').displayName('Prism Splinter')
	
	// Blood Box catalysts
	event.create('monster_heart').rarity('common').displayName('Monster Heart').food(food => {
		food.hunger(1)
		.saturation(1)
		.effect('minecraft:hunger', 200, 1, 1)
		.effect('minecraft:instant_health', 1, 0, 1)
		})
		
	event.create('blazing_heart').rarity('uncommon').displayName('Blazing Heart').food(food => {
		food.hunger(1)
		.saturation(1)
		.effect('minecraft:slowness', 200, 1, 1)
		.effect('minecraft:instant_health', 1, 1, 1)
		})
		
	event.create('otherworldly_heart').rarity('rare').displayName('Otherworldly Heart').food(food => {
		food.hunger(1)
		.saturation(1)
		.effect('minecraft:darkness', 200, 2, 1)
		.effect('minecraft:instant_health', 1, 2, 1)
		})
	
	// Dragon Heart processing
	event.create('weak_dragon_heart').rarity('common').displayName('Weak Dragon Heart')
	
	// Fool's Gold
	event.create('fool_gold_nugget').rarity('common').displayName('Fool\'s Gold Nugget')
	event.create('fool_gold_ingot').rarity('common').displayName('Fool\'s Gold Ingot')
	
	// Obsinite
	event.create('obsinite_alloy').rarity('common').displayName('Obsinite Alloy')
    event.create('kubejs:obsinite_pickaxe', 'pickaxe').displayName('Obsinite Pickaxe').maxDamage(1531).tier('diamond')
	
	// Gourmet Crops
	event.create('gourmet_apple').rarity('uncommon').displayName('Gourmet Apple').texture('kubejs:item/gourmet/gourmet_apple')
	event.create('gourmet_beetroot').rarity('uncommon').displayName('Gourmet Beetroot').texture('kubejs:item/gourmet/gourmet_beetroot')
	event.create('gourmet_cactus_slice').rarity('uncommon').displayName('Gourmet Cactus Slice').texture('kubejs:item/gourmet/gourmet_cactus_slice')
	event.create('gourmet_carrot').rarity('uncommon').displayName('Gourmet Carrot').texture('kubejs:item/gourmet/gourmet_carrot')
	event.create('gourmet_melon_slice').rarity('uncommon').displayName('Gourmet Melon Slice').texture('kubejs:item/gourmet/gourmet_melon_slice')
	event.create('gourmet_potato').rarity('uncommon').displayName('Gourmet Potato').texture('kubejs:item/gourmet/gourmet_potato')
	event.create('gourmet_pumpkin_slice').rarity('uncommon').displayName('Gourmet Pumpkin Slice').texture('kubejs:item/gourmet/gourmet_pumpkin_slice')
	event.create('gourmet_sugar_cane').rarity('uncommon').displayName('Gourmet Sugar Cane').texture('kubejs:item/gourmet/gourmet_sugar_cane')
	event.create('gourmet_sweet_berries').rarity('uncommon').displayName('Gourmet Sweet Berries').texture('kubejs:item/gourmet/gourmet_sweet_berries')
	event.create('gourmet_wheat').rarity('uncommon').displayName('Gourmet Wheat').texture('kubejs:item/gourmet/gourmet_wheat')
	
	// Jellies
	event.create('glass_jar').rarity('common').displayName('Sugar Glass Jar').texture('kubejs:item/gourmet/glass_jar').food(food => {food.hunger(2).saturation(0.5)})
	
	event.create('apple_jelly').rarity('common').displayName('Apple Jelly').texture('kubejs:item/gourmet/apple_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('beetroot_jelly').rarity('common').displayName('Beetroot Jelly').texture('kubejs:item/gourmet/beetroot_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('cactus_jelly').rarity('common').displayName('Cactus Jelly').texture('kubejs:item/gourmet/cactus_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('carrot_jelly').rarity('common').displayName('Carrot Jelly').texture('kubejs:item/gourmet/carrot_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('melon_jelly').rarity('common').displayName('Melon Jelly').texture('kubejs:item/gourmet/melon_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('potato_jelly').rarity('common').displayName('Potato Jelly').texture('kubejs:item/gourmet/potato_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('pumpkin_jelly').rarity('common').displayName('Pumpkin Jelly').texture('kubejs:item/gourmet/pumpkin_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('sugar_jelly').rarity('common').displayName('Sugar Jelly').texture('kubejs:item/gourmet/sugar_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('sweet_jelly').rarity('common').displayName('Sweet Berry Jelly').texture('kubejs:item/gourmet/sweet_jelly').food(food => {food.hunger(8).saturation(0.5)})
	event.create('wheat_jelly').rarity('common').displayName('Wheat Jelly').texture('kubejs:item/gourmet/wheat_jelly').food(food => {food.hunger(8).saturation(0.5)})
	
	event.create('fruit_jelly').rarity('common').displayName('Fruit Jelly').texture('kubejs:item/gourmet/fruit_jelly').food(food => {food.hunger(10).saturation(0.5)})
	event.create('vegetable_jelly').rarity('common').displayName('Vegetable Jelly').texture('kubejs:item/gourmet/vegetable_jelly').food(food => {food.hunger(10).saturation(0.5)})
	
	event.create('rainbow_jelly').rarity('uncommon').displayName('Rainbow Jelly').texture('kubejs:item/gourmet/rainbow_jelly').food(food => {
		food.hunger(14)
		.saturation(1)
		.effect('minecraft:strength', 1200, 1, 1)
		.effect('minecraft:regeneration', 200, 0, 1)
		})
	
	// Mash
	event.create('apple_mash').rarity('common').displayName('Apple Mash').texture('kubejs:item/gourmet/apple_mash')
	event.create('beetroot_mash').rarity('common').displayName('Beetroot Mash').texture('kubejs:item/gourmet/beetroot_mash')
	event.create('cactus_mash').rarity('common').displayName('Cactus Mash').texture('kubejs:item/gourmet/cactus_mash')
	event.create('carrot_mash').rarity('common').displayName('Carrot Mash').texture('kubejs:item/gourmet/carrot_mash')
	event.create('melon_mash').rarity('common').displayName('Melon Mash').texture('kubejs:item/gourmet/melon_mash')
	event.create('potato_mash').rarity('common').displayName('Potato Mash').texture('kubejs:item/gourmet/potato_mash')
	event.create('pumpkin_mash').rarity('common').displayName('Pumpkin Mash').texture('kubejs:item/gourmet/pumpkin_mash')
	event.create('sugar_cane_mash').rarity('common').displayName('Sugar Cane Mash').texture('kubejs:item/gourmet/sugar_cane_mash')
	event.create('sweet_berry_mash').rarity('common').displayName('Sweet Berry Mash').texture('kubejs:item/gourmet/sweet_berry_mash')
	event.create('wheat_mash').rarity('common').displayName('Wheat Mash').texture('kubejs:item/gourmet/wheat_mash')
	
	// Seeds
	event.create('enriched_apple_seed').rarity('common').displayName('Enriched Apple Seed').texture('kubejs:item/gourmet/enriched_apple_seed')
	event.create('enriched_beetroot_seed').rarity('common').displayName('Enriched Beetroot Seed').texture('kubejs:item/gourmet/enriched_beetroot_seed')
	event.create('enriched_cactus_seed').rarity('common').displayName('Enriched Cactus Seed').texture('kubejs:item/gourmet/enriched_cactus_seed')
	event.create('enriched_carrot_seed').rarity('common').displayName('Enriched Carrot Seed').texture('kubejs:item/gourmet/enriched_carrot_seed')
	event.create('enriched_melon_seed').rarity('common').displayName('Enriched Melon Seed').texture('kubejs:item/gourmet/enriched_melon_seed')
	event.create('enriched_potato_seed').rarity('common').displayName('Enriched Potato Seed').texture('kubejs:item/gourmet/enriched_potato_seed')
	event.create('enriched_pumpkin_seed').rarity('common').displayName('Enriched Pumpkin Seed').texture('kubejs:item/gourmet/enriched_pumpkin_seed')
	event.create('enriched_sugar_cane_seed').rarity('common').displayName('Enriched Sugar Cane Seed').texture('kubejs:item/gourmet/enriched_sugar_cane_seed')
	event.create('enriched_sweet_berry_seed').rarity('common').displayName('Enriched Sweet Berry Seed').texture('kubejs:item/gourmet/enriched_sweet_berry_seed')
	event.create('enriched_wheat_seed').rarity('common').displayName('Enriched Wheat Seed').texture('kubejs:item/gourmet/enriched_wheat_seed')
	
	// Watch
	event.create('atomic_clock').rarity('common').displayName('Atomic Clock').texture('kubejs:item/endgame/atomic_clock')
	event.create('pixie_hourglass').rarity('common').displayName('Pixie Hourglass').texture('kubejs:item/endgame/pixie_hourglass')
	event.create('executioner_sundial').rarity('common').displayName('Executioner\'s Sundial').texture('kubejs:item/endgame/executioner_sundial')
	
	// Black Box Materials
	event.create('black_paste').rarity('common').displayName('§8Black Paste').texture('kubejs:item/endgame/black_paste')
	event.create('black_alloy').rarity('common').displayName('§8Black Alloy').texture('kubejs:item/endgame/black_alloy')
	event.create('black_fuel').rarity('common').displayName('§8Black Fuel').texture('kubejs:item/endgame/black_fuel')
	event.create('black_crystal').rarity('common').displayName('§8Black Crystal').texture('kubejs:item/endgame/black_crystal')
	
	// Int catalysts for crystal chamber
	event.create('int_catalyst_raw').rarity('common').displayName('Raw Will Catalyst').texture('kubejs:item/crystalchamber/int_catalyst_raw')
	event.create('int_catalyst_steadfast').rarity('common').displayName('Steadfast Will Catalyst').texture('kubejs:item/crystalchamber/int_catalyst_steadfast')
	event.create('int_catalyst_corrosive').rarity('common').displayName('Corrosive Will Catalyst').texture('kubejs:item/crystalchamber/int_catalyst_corrosive')
	event.create('int_catalyst_destructive').rarity('common').displayName('Destructive Will Catalyst').texture('kubejs:item/crystalchamber/int_catalyst_destructive')
	event.create('int_catalyst_vengeful').rarity('common').displayName('Vengeful Will Catalyst').texture('kubejs:item/crystalchamber/int_catalyst_vengeful')
	
	event.create('demon_blueprint').rarity('common').displayName('Demonic Blueprints')
	
	// Lapidary Multi
	event.create('overcharged_amethyst').rarity('common').displayName('Overcharged Amethyst')
	event.create('slapis_ingot').rarity('common').displayName('Lapidite Ingot')
	event.create('slapis_plate').rarity('common').displayName('Lapidite Plate')
	event.create('slapis_rod').rarity('common').displayName('Lapidite Rod')
	event.create('slapis_gear').rarity('common').displayName('Lapidite Gear')
	event.create('slapis_repair').rarity('common').displayName('Lapidary Repair Kit')
	
	// Gem Processing for mlem
	event.create('energized_ruby').rarity('common').displayName('Energized Ruby')
	event.create('energized_sapphire').rarity('common').displayName('Energized Sapphire')
	event.create('overcharged_ruby').rarity('uncommon').displayName('Overcharged Ruby')
	event.create('overcharged_sapphire').rarity('uncommon').displayName('Overcharged Sapphire')
	
	// Compression Gen Multi
	event.create('stiesel_ingot').rarity('common').displayName('Compressed Steel Ingot')
	event.create('stiesel_plate').rarity('common').displayName('Compound Compression Plate')
	
	// Chroma Gen Multi
	event.create('fusion_steel').rarity('uncommon').displayName('Fusion Steel Ingot')
	
	// States
	event.create('statered').displayName('Next Chroma: §cRed').texture('kubejs:item/chromastate/statered')
	event.create('stateorange').displayName('Next Chroma: §6Orange').texture('kubejs:item/chromastate/stateorange')
	event.create('stateyellow').displayName('Next Chroma: §eYellow').texture('kubejs:item/chromastate/stateyellow')
	event.create('stategreen').displayName('Next Chroma: §aGreen').texture('kubejs:item/chromastate/stategreen')
	event.create('stateblue').displayName('Next Chroma: §bBlue').texture('kubejs:item/chromastate/stateblue')
	event.create('stateindigo').displayName('Next Chroma: §9Indigo').texture('kubejs:item/chromastate/stateindigo')
	event.create('stateviolet').displayName('Next Chroma: §dViolet').texture('kubejs:item/chromastate/stateviolet')
	
})